<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [SkillRequirement](./bitburner.skillrequirement.md)

## SkillRequirement interface

Player must have each listed skill at least this level.

**Signature:**

```typescript
interface SkillRequirement 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[skills](./bitburner.skillrequirement.skills.md)


</td><td>


</td><td>

Partial&lt;[Skills](./bitburner.skills.md)<!-- -->&gt;


</td><td>


</td></tr>
<tr><td>

[type](./bitburner.skillrequirement.type.md)


</td><td>


</td><td>

"skills"


</td><td>


</td></tr>
</tbody></table>

